<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가 

if(!$is_admin && $amina['limit_writer'] && !chk_multiple_admin($member['mb_id'], $board['bo_4'])) {
	alert('본 게시판은 지정된 회원만 글쓰기 가능합니다.');
}

if($po_wr_type) {
	if($po_wr_table && $po_wr_id) {
		$tmp_write_table = $g5['write_prefix'] . $po_wr_table; // 게시판 테이블 전체이름
		$row = sql_fetch(" select count(*) as cnt from $tmp_write_table where wr_id = '{$po_wr_id}' ", false); 
		if($row['cnt'] > 0) {
			;
		} else {
			alert("입력하신 연동글은 없는 게시물입니다. 확인후 다시 등록해 주세요."); 
		}
	}
}

//글등록 제한..
if (!$is_admin && $amina['limit_post_cnt'] > 0 && $w != "u") {
	if($amina['limit_post'] == 1) {
		 $chk_time = date("Y-m-d 00:00:01", G5_SERVER_TIME); //오늘 00시 00분 01초 기준 
		 $row = sql_fetch(" select count(*) as cnt from $write_table where wr_is_comment = 0 and mb_id = '{$member['mb_id']}' and wr_datetime >= '$chk_time' "); 
		 if($row['cnt'] >= $amina['limit_post_cnt']) alert("이 게시판은 회원당 하루 최대 {$amina['limit_post_cnt']}개 글만 등록할 수 있습니다."); 
	} else if ($amina['limit_post'] == 2) {
		 $row = sql_fetch(" select count(*) as cnt from $write_table where wr_is_comment = 0 and mb_id = '{$member['mb_id']}' "); 
		 if($row['cnt'] >= $amina['limit_post_cnt']) alert("이 게시판은 회원당 최대 {$amina['limit_post_cnt']}개 글만 등록할 수 있습니다."); 
	} else if ($amina['limit_post'] == 3 && $amina['cmt_choice']) {
		 $row = sql_fetch(" select count(*) as cnt from $write_table where wr_is_comment = 0 and mb_id = '{$member['mb_id']}' and wr_5 like '%<no-choice>%' "); 
		 if($row['cnt'] == $amina['limit_post_cnt']) alert("이 게시판은 회원당 최대 {$amina['limit_post_cnt']}개의 미채택 글만 등록할 수 있습니다."); 
	}
}

//포인트 걸기..
if($w != "u" && $amina['cmt_choice'] && $choice_point) { 
	if(!$member['mb_id']) 
		alert('회원만 MP를 거실 수 있습니다.');

	if(!is_numeric($choice_point))
		alert('숫자만 MP로 걸실 수 있습니다.');

	if($choice_point < 0)
		alert('0 또는 양수만 MP로 걸실 수 있습니다.');

    if($choice_point > $member['mb_point'])
        alert('보유 MP보다 더 많이 거실 수 없습니다.');
}

if(file_exists($write_skin_path.'/write_update.head.skin.php')) include_once ($write_skin_path.'/write_update.head.skin.php');

?>